#include "forms.h"
#include "smb.h"
#include "stdlib.h"
#include "string.h"
FD_CMDLOG *Outlog;

/* callbacks and freeobj handles for form Main */
void Closer(FL_OBJECT *ob, long data)
{
fl_finish();
exit(0);
}

/* callbacks and freeobj handles for form Reply */
void Sender(FL_OBJECT *ob, long data)
{
FD_Reply *fd_Reply=ob->form->fdui;
FILE *stream;
int length=50;
char *streamname;
const char *from;
const char *to;
const char *body;
char *command;
streamname=tmpnam(NULL);
stream=fopen(streamname,"w+");
if(stream==NULL)
  {
    printf("ERROR : File Open Error");
    fl_finish();
    exit(1);
  }
from=fl_get_input(fd_Reply->FromFieldB);
to=fl_get_input(fd_Reply->ToFieldB);
body=fl_get_input(fd_Reply->BodyFieldB);
length=strlen(body)+1;
fwrite(body,1,length,stream);
fclose(stream);
length=strlen(from)+strlen(to)+strlen(streamname);
command=(char *)malloc(length+27);
if(command==NULL)
  {
    printf("ERROR : Memory Allocation Error!");
    fl_finish();
    exit(1);
  }
sprintf(command,"cat %s | smbclient -M %s -U %s",streamname,to,from);
fl_exe_command(command,1);
Outlog=fl_get_command_log_fdstruct();
fl_set_object_color(Outlog->browser,FL_DARKCYAN,FL_INDIANRED);
fl_show_command_log(1);
free(command);
}

void Clearer(FL_OBJECT *ob, long data)
{
FD_Reply *fd_Reply=ob->form->fdui;
fl_set_input(fd_Reply->BodyFieldB,"");
  /* fill-in code for callback */
}

void nop(FL_OBJECT *ob, long data)
{
return;
}










